import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')

from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading ZebraSNMPMediaSensorToGeneric Converter")

class ZebraSNMPMediaSensorToGeneric(Converter):
    def Execute(self, args):
        res = ""        
        if int(args[0]) == 1 or int(args[0]) == 4:
            res = "None"
        elif int(args[0]) == 2:
            res = "Gap"
        elif int(args[0]) == 3:
            res = "Mark"
        return res




plugin = ZebraSNMPMediaSensorToGeneric("ZebraSNMPMediaSensorToGeneric")

store.AddConverter(plugin)